Skip to content
← Back to Community
How do you change python versions
Profile icon
PizzaRules668

Im trying to change from python 3.8 to python 3.7

Ive tried changing the pyproject.toml
Also tried poetry env use 3.7
but got

/bin/sh: 1: python3.7: not found [EnvCommandError] Command python3.7 -c "import sys; print('.'.join([str(s) for s in sys.version_info[:3]]))" errored with the following return code 127, and output:
Voters
Profile icon
EMICENKA
Profile icon
Md-AlmirAlmir
Profile icon
PizzaRules668
Comments
hotnewtop
Profile icon
ricardoTSN

edit the "pyproject.toml" file in your replit, you list your packages along with other details about your project. For example, consider the following snippet from pyproject.toml:

This will install express at version 4.16.3 or newer, body-parser at the latest version, and sqlite3 at exactly version 3.1.12.

"dependencies": {
"express": "^4.16.3",
"body-parser": "latest",
"sqlite3": "3.1.12"
}

Profile icon
OldWizard209
Profile icon
ch1ck3n
Profile icon
SixBeeps

@ch1ck3n Most of these are from long ago. Since the release of Nix on Replit, anything is now possible.